petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMLabelCreate

Create a DMLabel object, which is a multimap

### Synopsis

    #include "petscdmlabel.h"
    #include "petscsection.h"
    PetscErrorCode DMLabelCreate(MPI_Comm comm, const char name[], DMLabel *label)

Collective

### Input parameters

| comm | - The communicator, usually PETSC_COMM_SELF
| name | - The label name

### Output parameter

label -The DMLabel

### Notes

The label name is actually usual PetscObject name. One can get/set it with PetscObjectGetName()/PetscObjectSetName().

### See Also

DMLabelDestroy()

### Level

beginner

### Location

src/dm/label/dmlabel.c

### Examples

src/dm/label/examples/tutorials/ex1.c.html
src/ts/examples/tutorials/ex11.c.html
Index of all DMLABEL routines
Table of Contents for all manual pages
Index of all manual pages